diff --git a/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart b/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart
index 3ea5ffc..320249c 100644
--- a/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart
+++ b/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart
@@ -176,128 +630,25 @@ class TambahPenyaluranView extends GetView<JadwalPenyaluranController> {
                   )),
               const SizedBox(height: 16),
 
-              // Jumlah Penerima (Otomatis)
-              Text(
-                'Jumlah Penerima',
-                style: Theme.of(context).textTheme.titleSmall,
-              ),
-              const SizedBox(height: 8),
-              Obx(() => TextFormField(
-                    readOnly: true,
-                    controller: TextEditingController(
-                        text: jumlahPenerima.value.toString()),
-                    decoration: InputDecoration(
-                      hintText: 'Jumlah penerima akan diambil otomatis',
-                      border: OutlineInputBorder(
-                        borderRadius: BorderRadius.circular(8),
-                      ),
-                      contentPadding: const EdgeInsets.symmetric(
-                        horizontal: 12,
-                        vertical: 8,
-                      ),
-                    ),
-                  )),
-              const SizedBox(height: 8),
-              Text(
-                'Info: Jumlah penerima diambil dari data pengajuan kelayakan bantuan yang telah terverifikasi untuk skema bantuan yang dipilih.',
-                style: TextStyle(
-                  fontSize: 12,
-                  color: Colors.grey[600],
-                  fontStyle: FontStyle.italic,
-                ),
-              ),
-              const SizedBox(height: 8),
-              Obx(() => jumlahPenerima.value > 0
-                  ? TextButton.icon(
-                      onPressed: () async {
-                        final pengajuanData = await controller
-                            .supabaseService.client
-                            .from('xx02_pengajuan_kelayakan_bantuan')
-                            .select('*, warga:warga_id(*)')
-                            .eq('skema_bantuan_id',
-                                selectedSkemaBantuanId.value ?? '')
-                            .eq('status', 'TERVERIFIKASI');
-
-                        Get.dialog(
-                          Dialog(
-                            child: Container(
-                              width: MediaQuery.of(context).size.width * 0.9,
-                              height: MediaQuery.of(context).size.height * 0.8,
-                              padding: const EdgeInsets.all(16),
-                              child: Column(
-                                mainAxisSize: MainAxisSize.min,
-                                crossAxisAlignment: CrossAxisAlignment.start,
-                                children: [
-                                  Row(
-                                    mainAxisAlignment:
-                                        MainAxisAlignment.spaceBetween,
-                                    children: [
-                                      const Text(
-                                        'Daftar Penerima Bantuan',
-                                        style: TextStyle(
-                                          fontSize: 18,
-                                          fontWeight: FontWeight.bold,
-                                        ),
-                                      ),
-                                      IconButton(
-                                        onPressed: () => Get.back(),
-                                        icon: const Icon(Icons.close),
-                                      ),
-                                    ],
-                                  ),
-                                  const SizedBox(height: 16),
-                                  Expanded(
-                                    child: SingleChildScrollView(
-                                      scrollDirection: Axis.horizontal,
-                                      child: SingleChildScrollView(
-                                        child: DataTable(
-                                          columnSpacing: 20,
-                                          horizontalMargin: 20,
-                                          columns: const [
-                                            DataColumn(label: Text('No')),
-                                            DataColumn(label: Text('Nama')),
-                                            DataColumn(label: Text('NIK')),
-                                            DataColumn(label: Text('Alamat')),
-                                          ],
-                                          rows: pengajuanData
-                                              .asMap()
-                                              .entries
-                                              .map((entry) {
-                                            final warga = entry.value['warga'];
-                                            return DataRow(
-                                              cells: [
-                                                DataCell(
-                                                    Text('${entry.key + 1}')),
-                                                DataCell(Text(
-                                                    warga['nama_lengkap'] ??
-                                                        '-')),
-                                                DataCell(
-                                                    Text(warga['nik'] ?? '-')),
-                                                DataCell(Text(
-                                                    warga['alamat'] ?? '-')),
-                                              ],
-                                            );
-                                          }).toList(),
-                                        ),
-                                      ),
-                                    ),
-                                  ),
-                                ],
-                              ),
-                            ),
-                          ),
-                        );
-                      },
-                      icon: const Icon(Icons.people),
-                      label: const Text('Lihat Daftar Penerima'),
-                    )
-                  : const SizedBox.shrink()),
-              const SizedBox(height: 8),
-
               // Tanggal Penyaluran
-              Text(
-                'Tanggal Penyaluran',
-                style: Theme.of(context).textTheme.titleSmall,
+              Row(
+                children: [
+                  Text(
+                    'Tanggal Penyaluran',
+                    style: Theme.of(context).textTheme.titleSmall,
+                  ),
+                  const SizedBox(width: 4),
+                  Tooltip(
+                    message:
+                        'Tanggal pelaksanaan minimal 1 hari sebelum dijadwalkan',
+                    triggerMode: TooltipTriggerMode.tap,
+                    child: Icon(
+                      Icons.info_outline,
+                      size: 16,
+                      color: Colors.grey[600],
+                    ),
+                  ),
+                ],
               ),
               const SizedBox(height: 8),
               TextFormField(
@@ -337,36 +688,7 @@ class TambahPenyaluranView extends GetView<JadwalPenyaluranController> {
                   return null;
                 },
               ),
-              const SizedBox(height: 10),
 
-              // Hint info tanggal minimal
-              Container(
-                padding: const EdgeInsets.all(8),
-                decoration: BoxDecoration(
-                  color: Colors.blue[50],
-                  borderRadius: BorderRadius.circular(8),
-                  border: Border.all(color: Colors.blue[200]!),
-                ),
-                child: Row(
-                  children: [
-                    const Icon(
-                      Icons.info_outline,
-                      color: Colors.blue,
-                      size: 20,
-                    ),
-                    const SizedBox(width: 8),
-                    Expanded(
-                      child: Text(
-                        'Tanggal pelaksanaan minimal 1 hari sebelum dijadwalkan',
-                        style: TextStyle(
-                          color: Colors.blue[900],
-                          fontSize: 12,
-                        ),
-                      ),
-                    ),
-                  ],
-                ),
-              ),
               const SizedBox(height: 16),
 
               // Waktu Mulai
@@ -445,6 +767,19 @@ class TambahPenyaluranView extends GetView<JadwalPenyaluranController> {
                 child: ElevatedButton(
                   onPressed: () {
                     if (formKey.currentState!.validate()) {
+                      // Periksa kecukupan stok
+                      if (!isStokCukup.value) {
+                        Get.snackbar(
+                          'Stok Tidak Cukup',
+                          'Stok bantuan tidak mencukupi untuk penyaluran ini. Silakan tambah stok terlebih dahulu.',
+                          snackPosition: SnackPosition.BOTTOM,
+                          backgroundColor: Colors.red,
+                          colorText: Colors.white,
+                          duration: const Duration(seconds: 4),
+                        );
+                        return;
+                      }
+
                       // Gabungkan tanggal dan waktu mulai
                       DateTime? tanggalWaktuMulai;
                       if (selectedDate.value != null &&
@@ -460,15 +795,18 @@ class TambahPenyaluranView extends GetView<JadwalPenyaluranController> {
 
                       // Panggil fungsi untuk menambahkan penyaluran
                       controller.tambahPenyaluran(
-                        nama: namaController.text,
-                        deskripsi: deskripsiController.text,
-                        skemaId: selectedSkemaBantuanId.value!,
-                        lokasiPenyaluranId: selectedLokasiPenyaluranId.value!,
-                        jumlahPenerima: jumlahPenerima.value,
-                        tanggalPenyaluran: tanggalWaktuMulai,
-                        kategoriBantuanId:
-                            selectedSkemaBantuan.value!.kategoriBantuanId!,
-                      );
+                          nama: namaController.text,
+                          deskripsi: deskripsiController.text,
+                          skemaId: selectedSkemaBantuanId.value!,
+                          lokasiPenyaluranId: selectedLokasiPenyaluranId.value!,
+                          jumlahPenerima: jumlahPenerima.value,
+                          tanggalPenyaluran: tanggalWaktuMulai,
+                          kategoriBantuanId:
+                              selectedSkemaBantuan.value!.kategoriBantuanId!,
+                          jumlahDiterimaPerOrang: jumlahDiterimaPerOrang.value,
+                          stokBantuanId:
+                              selectedSkemaBantuan.value!.stokBantuanId!,
+                          totalStokDibutuhkan: totalStokDibutuhkan.value);
                     }
                   },
                   style: ElevatedButton.styleFrom(
diff --git a/lib/app/modules/warga/controllers/warga_dashboard_controller.dart b/lib/app/modules/warga/controllers/warga_dashboard_controller.dart
index 161d022..91f899f 100644
--- a/lib/app/modules/warga/controllers/warga_dashboard_controller.dart
+++ b/lib/app/modules/warga/controllers/warga_dashboard_controller.dart
@@ -110,33 +110,37 @@ class WargaDashboardController extends GetxController {
             ),
             penyaluran_bantuan:penyaluran_bantuan_id(
               *,
-              lokasi_penyaluran(*)
+              lokasi_penyaluran(*),
+              kategori_bantuan(*)
             )
           ''').eq('warga_id', wargaId).order('created_at', ascending: false);
 
       final List<PenerimaPenyaluranModel> penerima = [];
+
+      // Loop melalui setiap data penerima
       for (var item in response) {
+        // Pastikan data penerima sesuai dengan tipe data yang diharapkan
         Map<String, dynamic> sanitizedPenerimaData =
             Map<String, dynamic>.from(item);
 
+        // Konversi jumlah_bantuan ke double jika bertipe String
         if (sanitizedPenerimaData['jumlah_bantuan'] is String) {
-          var jumlahBantuan = double.tryParse(
-              sanitizedPenerimaData['jumlah_bantuan'] as String);
-          sanitizedPenerimaData['jumlah_bantuan'] = jumlahBantuan;
+          sanitizedPenerimaData['jumlah_bantuan'] =
+              double.tryParse(sanitizedPenerimaData['jumlah_bantuan']) ?? 0.0;
         }
 
-        // Tambahkan informasi apakah bantuan uang atau bukan dan satuan
+        // Ambil data dari stok bantuan jika tersedia
         if (sanitizedPenerimaData['stok_bantuan'] != null) {
-          // Cek apakah bantuan uang
+          // Cek apakah bantuan berupa uang atau barang
           final isUang =
               sanitizedPenerimaData['stok_bantuan']['is_uang'] ?? false;
           sanitizedPenerimaData['is_uang'] = isUang;
 
-          // Ambil satuan
+          // Ambil satuan bantuan
           final satuan = sanitizedPenerimaData['stok_bantuan']['satuan'] ?? '';
           sanitizedPenerimaData['satuan'] = satuan;
 
-          // Ambil nama kategori bantuan jika tersedia
+          // Ambil nama kategori bantuan
           if (sanitizedPenerimaData['stok_bantuan']['kategori_bantuan'] !=
               null) {
             final kategoriNama = sanitizedPenerimaData['stok_bantuan']
@@ -146,7 +150,7 @@ class WargaDashboardController extends GetxController {
           }
         }
 
-        // Tambahkan informasi dari penyaluran bantuan
+        // Ambil data dari penyaluran bantuan jika tersedia
         if (sanitizedPenerimaData['penyaluran_bantuan'] != null) {
           // Ambil nama penyaluran
           final namaPenyaluran =
@@ -158,6 +162,11 @@ class WargaDashboardController extends GetxController {
               sanitizedPenerimaData['penyaluran_bantuan']['deskripsi'] ?? '';
           sanitizedPenerimaData['deskripsi_penyaluran'] = deskripsiPenyaluran;
 
+          // Ambil status penyaluran
+          final statusPenyaluran =
+              sanitizedPenerimaData['penyaluran_bantuan']['status'] ?? '';
+          sanitizedPenerimaData['status_penyaluran'] = statusPenyaluran;
+
           // Ambil lokasi penyaluran jika tersedia
           if (sanitizedPenerimaData['penyaluran_bantuan']
                   ['lokasi_penyaluran'] !=
@@ -172,6 +181,19 @@ class WargaDashboardController extends GetxController {
                 '';
             sanitizedPenerimaData['lokasi_penyaluran_alamat'] = lokasiAlamat;
           }
+
+          // Ambil kategori bantuan dari relasi langsung jika ada
+          if (sanitizedPenerimaData['penyaluran_bantuan']['kategori_bantuan'] !=
+              null) {
+            final kategoriNama = sanitizedPenerimaData['penyaluran_bantuan']
+                    ['kategori_bantuan']['nama'] ??
+                '';
+            // Jika belum ada kategori_nama dari stok_bantuan, gunakan dari relasi langsung
+            if (sanitizedPenerimaData['kategori_nama'] == null ||
+                sanitizedPenerimaData['kategori_nama'].isEmpty) {
+              sanitizedPenerimaData['kategori_nama'] = kategoriNama;
+            }
+          }
         }
 
         var model = PenerimaPenyaluranModel.fromJson(sanitizedPenerimaData);
@@ -396,4 +418,74 @@ class WargaDashboardController extends GetxController {
       );
     }
   }
+
+  // Metode untuk menambahkan pengaduan baru
+  Future<bool> addPengaduan({
+    required String judul,
+    required String deskripsi,
+    required String penerimaPenyaluranId,
+    List<String> fotoPengaduanPaths = const [],
+  }) async {
+    try {
+      isLoading.value = true;
+
+      // Cari warga_id berdasarkan user_id
+      final wargaData = await _supabaseService.getWargaByUserId();
+      if (wargaData == null) {
+        throw Exception('Data warga tidak ditemukan');
+      }
+
+      final String wargaId = wargaData['id'];
+
+      // Upload foto pengaduan jika ada
+      List<String> fotoPengaduanUrls = [];
+      if (fotoPengaduanPaths.isNotEmpty) {
+        fotoPengaduanUrls = await _supabaseService.uploadMultipleFiles(
+                fotoPengaduanPaths, 'pengaduan', 'foto_pengaduan') ??
+            [];
+      }
+
+      // Buat objek pengaduan
+      final Map<String, dynamic> pengaduanData = {
+        'judul': judul,
+        'deskripsi': deskripsi,
+        'status': 'MENUNGGU',
+        'warga_id': wargaId,
+        'penerima_penyaluran_id': penerimaPenyaluranId,
+        'foto_pengaduan': fotoPengaduanUrls,
+        'tanggal_pengaduan': DateTime.now().toIso8601String(),
+        'created_at': DateTime.now().toIso8601String(),
+        'updated_at': DateTime.now().toIso8601String(),
+      };
+
+      // Simpan pengaduan ke Supabase
+      await _supabaseService.client.from('pengaduan').insert(pengaduanData);
+
+      // Refresh data pengaduan
+      await fetchPengaduan();
+
+      Get.snackbar(
+        'Berhasil',
+        'Pengaduan berhasil dibuat dan akan segera diproses',
+        snackPosition: SnackPosition.BOTTOM,
+        backgroundColor: Colors.green,
+        colorText: Colors.white,
+        duration: const Duration(seconds: 3),
+      );
+
+      return true;
+    } catch (e) {
+      print('Error membuat pengaduan: $e');
+      Get.snackbar(
+        'Error',
+        'Gagal membuat pengaduan: ${e.toString()}',
+        snackPosition: SnackPosition.BOTTOM,
+        backgroundColor: Colors.red,
+        colorText: Colors.white,
+      );
+      return false;
+    } finally {
+      isLoading.value = false;
+    }
+  }
 }
diff --git a/lib/app/modules/warga/views/detail_pengaduan_view.dart b/lib/app/modules/warga/views/detail_pengaduan_view.dart
index 3fb700e..c5a4a62 100644
--- a/lib/app/modules/warga/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/warga/views/detail_pengaduan_view.dart
@@ -916,36 +916,12 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
                 ),
               ],
             ),
-
-            // Prioritas tindakan (jika ada)
-            if (tindakan.prioritas != null) ...[
-              const SizedBox(height: 8),
-              // Menggunakan StatusPill untuk prioritas tindakan
-              StatusPill(
-                status: tindakan.prioritasText,
-                backgroundColor: _getPriorityColor(tindakan.prioritas),
-                textColor: Colors.white,
-              ),
-            ],
           ],
         ),
       ),
     );
   }
 
-  Color _getPriorityColor(String? priority) {
-    switch (priority) {
-      case 'TINGGI':
-        return Colors.red;
-      case 'SEDANG':
-        return Colors.orange;
-      case 'RENDAH':
-        return Colors.green;
-      default:
-        return Colors.grey;
-    }
-  }
-
   void showFullScreenImage(BuildContext context, String imageUrl) {
     // Buat controller untuk InteractiveViewer
     final TransformationController transformationController =
